From 50ead11d2e54bddd98e5cc07dec6b6d32c0a3a70 Mon Sep 17 00:00:00 2001
From: segfault <segfault@riseup.net>
Date: Sun, 14 Jan 2018 19:10:13 +0100
Subject: [PATCH] ASP: Fix broad exception handling without logging the
 exception message

---
 .../chroot_local-includes/usr/local/sbin/tails-additional-software  | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/config/chroot_local-includes/usr/local/sbin/tails-additional-software b/config/chroot_local-includes/usr/local/sbin/tails-additional-software
index c0889f9d04..4ba9a3602c 100755
--- a/config/chroot_local-includes/usr/local/sbin/tails-additional-software
+++ b/config/chroot_local-includes/usr/local/sbin/tails-additional-software
@@ -160,10 +160,10 @@ def install_additional_packages(ignore_old_apt_lists=False):
                       "Found a copy of old APT lists, restoring it.")
         try:
             restore_old_apt_lists()
-        except:
+        except Exception as e:
             syslog.syslog(syslog.LOG_WARNING,
-                          "Failed to restore the old APT lists, "
-                          "deleting them and proceeding anyway.")
+                          "Restoring old APT lists failed with %r, "
+                          "deleting them and proceeding anyway." % e)
         # In all cases, delete the old APT lists: if they could be
         # restored we don't need them anymore (and we don't want to
         # restore them again next time); if they could not be
-- 
2.15.1

